import json

with open("config.txt", encoding="utf-8") as f:
    data = f.readlines()

L = {}
for line in data:
    line = line.strip().split("\t")
    account_name = line[0]
    gh_id = line[1]
    fans = int(line[2])
    level = line[3]
    read_avg = float(line[4])
    like_avg = float(line[5])
    key = "{}_{}".format(gh_id, level)
    obj = {
        "accountName": account_name,
        "ghId": gh_id,
        "fans": fans,
        "position": level,
        "readAvg": read_avg,
        "likeAvg": like_avg
    }
    L[key] = obj

with open("AccountInfo.json", "w", encoding="utf-8") as f:
    f.write(json.dumps(L, ensure_ascii=False, indent=4))